<div class="container">
    <button mat-icon-button class="close-button" [mat-dialog-close]="true">
      <i class="fa-solid fa-xmark"></i>
   </button>
    <div class="row pt-3 mob-p-0">
        <div class="col-lg-12 m-a">
            <ul class="page-url">
                <li><a>Votre compte</a></li>
                <li><a class="">Connexion et sécurité</a></li>
                <li><a class="active">Modifier le mot de passe</a></li>
            </ul>
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                    <h2>Modifier le mot de passe</h2>
                </div>
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                    <form [formGroup]="myform" (submit)="send()" class="mb-0">
                        <div class="row">
                            <div class="mb-3">
                                <label for="pwd" class="form-label">Mot de passe actuel</label>
                                <input type="password" class="form-control" id="" placeholder="" name="" formControlName="password">
                            </div>
                        </div>
                        <div class="errormsg" *ngIf="myform.get('password')?.touched && myform.get('password')?.hasError('required')">
                            <h4> <b>L'Mot de passe actuel est requis</b></h4>
                        </div>
                        <div class="row">
                            <div class="mb-3">
                                <label for="" class="form-label">Nouveau mot de passe</label>
                                <input type="password" class="form-control" id="" placeholder="" name="" formControlName="newpassword">
                            </div>
                        </div>
                        <div class="errormsg" *ngIf="myform.get('newpassword')?.touched && myform.get('newpassword')?.hasError('required')">
                            <h4> <b>L'Nouveau mot de passe est requis</b></h4>
                        </div>
                        <div class="row">
                            <div class="mb-3">
                                <label for="" class="form-label">Saisissez une seconde fois le nouveau mot de passe</label>
                                <input type="password" class="form-control" id="" placeholder="" name="" formControlName="confirmpassword">
                            </div>
                        </div>
                        <div class="errormsg" [hidden]="confirm">
                            <h4> <b> Le mot de passe ne correspond pas</b></h4>

                        </div>
                        <div class="errormsg" *ngIf="myform.get('confirmpassword')?.touched && myform.get('confirmpassword')?.hasError('required')">
                            <h4> <b>L'Saisissez une seconde fois le nouveau mot de passe est requis</b></h4>
                        </div>
                        <div class="row">
                            <div class="">
                                <button class="btn btn-fill size-650 mb-0">Enregister les modifications</button>
                            </div>
                        </div>
                        <div class="comeBack_up" *ngIf="createuserRes">
                            <div *ngIf="createuserRes.status == false; else loggedOut">
                                <br>
                                <div class="alert alert-danger"><strong>{{ createuserRes.errmessage }}</strong></div>
                            </div>
                            <ng-template #loggedOut>
                                <br>
                                <div class="alert alert-success"><strong>{{ createuserRes.message }}</strong></div>
                            </ng-template>
                        </div>
                    </form>
                </div>
            </div>
            <!-- Nav pills -->
        </div>
    </div>
</div>